defragment db1015, db1035 and db1027
Closed, ResolvedPublic

Description

db1015, db1035 and db1027 hit the alert of 10% available space. Defragment by doing a logical dump and restore or changing the innodb_file_per_table option.

This will not work forever, only delay the inevitable and T106847 is the permanent solution.

jcrespo created this task.Aug 27 2015, 10:18 AM
jcrespo claimed this task.
jcrespo added projects: DBA, acl*operations-team.
jcrespo added a subscriber: jcrespo.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptAug 27 2015, 10:18 AM
jcrespo moved this task from Triage to Backlog on the DBA board.Aug 27 2015, 1:40 PM
jcrespo changed the title from "defragment db1015" to "defragment db1015 and db1035".Sep 8 2015, 10:41 AM
jcrespo edited the task description. (Show Details)
jcrespo set Security to None.
jcrespo changed the title from "defragment db1015 and db1035" to "defragment db1015, db1035 and db1027".Sep 28 2015, 2:19 PM
jcrespo edited the task description. (Show Details)
RobH mentioned this in Unknown Object (Task).Nov 9 2015, 1:56 PM

db1035 defragmented and in production, 2 to go :-P

db1015 defragmented and updated. Only db1027 pending.

db1027 defragmented and ready to be deployed. Only blocked by T118848.

jcrespo closed this task as "Resolved".Nov 17 2015, 2:03 PM

Mentioned in SAL (#wikimedia-operations) [2017-01-19T13:20:59Z] <marostegui> Compressing revision,pagelinks and templatelinks tables on db1035 - T110504

db1035 looks good now

root@db1035:/srv/sqldata# df -hT /srv/
Filesystem            Type  Size  Used Avail Use% Mounted on
/dev/mapper/tank-data xfs   1.6T  1.1T  585G  64% /srv